Build #3 for Jazzkell-0.0.1

[all reports]

Package Jazzkell-0.0.1
Install DependencyFailed Jazzkell-0.0.1
Docs NotTried
Tests NotTried
Time submitted 2019-05-19 23:21:53.442599245 UTC
Compiler ghc-8.6.3
OS linux
Arch x86_64
Dependencies Euterpea-2.0.6, base-4.12.0.0, random-1.1
Flags none

Build log

[view raw]

Warning: The install command is a part of the legacy v1 style of cabal usage.

Please switch to using either the new project style and the new-install
command or the legacy v1-install alias as new-style projects will become the
default in the next version of cabal-install. Please file a bug if you cannot
replicate a working v1- use case with the new-style commands.

For more information, see: https://wiki.haskell.org/Cabal/NewBuild

Resolving dependencies...
Starting     PortMidi-0.1.6.1
Starting     random-1.1
Starting     heap-1.0.4
Starting     lazysmallcheck-0.6
Building     lazysmallcheck-0.6
Building     random-1.1
Building     heap-1.0.4
Failed to install PortMidi-0.1.6.1
Build log ( /home/builder/.cabal/logs/ghc-8.6.3/PortMidi-0.1.6.1-7gQuoUPauVS431dX34j8mQ.log ):
cabal: Entering directory '/tmp/cabal-tmp-29682/PortMidi-0.1.6.1'
Configuring PortMidi-0.1.6.1...
cabal: Missing dependency on a foreign library:
* Missing (or bad) C library: asound
This problem can usually be solved by installing the system package that
provides this library (you may need the "-dev" version). If the library is
already installed but in a non-standard location then you can use the flags
--extra-include-dirs= and --extra-lib-dirs= to specify where it is.If the
library file does exist, it may contain errors that are caught by the C
compiler at the preprocessing stage. In this case you can re-run configure
with the verbosity flag -v3 to see the error messages.

cabal: Leaving directory '/tmp/cabal-tmp-29682/PortMidi-0.1.6.1'
Starting     semigroups-0.19
Building     semigroups-0.19
Completed    lazysmallcheck-0.6
Completed    semigroups-0.19
Completed    heap-1.0.4
Completed    random-1.1
cabal: Error: some packages failed to install:
Euterpea-2.0.6-32Q4li10qkQCICnUzjZVEi depends on Euterpea-2.0.6 which failed
to install.
Jazzkell-0.0.1-KQJshAO01iaFRNQVRdHFcH depends on Jazzkell-0.0.1 which failed
to install.
PortMidi-0.1.6.1-7gQuoUPauVS431dX34j8mQ failed during the configure step. The
exception was:
ExitFailure 1